=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2011-06-27 14:25:19 +0000
+++ loggerhead/controllers/__init__.py	2011-06-27 14:37:04 +0000
@@ -88,20 +88,7 @@
 
     def __call__(self, environ, start_response):
         z = time.time()
-        if environ.get('loggerhead.as_json'):
-            json_values, headers = self.get_json_values(environ)
-        else:
-            core_values, headers = self.get_core_values(environ)
-
-            vals = {
-                'static_url': self._branch.static_url,
-                'branch': self._branch,
-                'util': util,
-                'url': self._branch.context_url,
-            }
-            vals.update(templatefunctions)
-
-            vals.update(core_values)
+        core_values, headers = self.get_core_values(environ)
 
         self.log.info('Getting information for %s: %.3f secs' % (
             self.__class__.__name__, time.time() - z))
@@ -116,9 +103,17 @@
         z = time.time()
         w = BufferingWriter(writer, 8192)
         if environ.get('loggerhead.as_json'):
-            w.write(simplejson.dumps(json_values,
+            w.write(simplejson.dumps(core_values,
                 default=util.convert_to_json_ready))
         else:
+            vals = {
+                'static_url': self._branch.static_url,
+                'branch': self._branch,
+                'util': util,
+                'url': self._branch.context_url,
+            }
+            vals.update(templatefunctions)
+            vals.update(core_values)
             template = load_template(self.template_path)
             template.expand_into(w, **vals)
         w.flush()

=== modified file 'loggerhead/controllers/filediff_ui.py'
--- loggerhead/controllers/filediff_ui.py	2011-06-27 14:33:46 +0000
+++ loggerhead/controllers/filediff_ui.py	2011-06-27 14:37:04 +0000
@@ -89,8 +89,3 @@
         return {
             'chunks': chunks,
         }
-
-    def get_json_values(self, environ):
-        core_values, headers = self.get_core_values(environ)
-        return core_values, headers
-

=== modified file 'loggerhead/controllers/revlog_ui.py'
--- loggerhead/controllers/revlog_ui.py	2011-06-27 14:33:46 +0000
+++ loggerhead/controllers/revlog_ui.py	2011-06-27 14:37:04 +0000
@@ -21,7 +21,3 @@
             'file_changes': file_changes,
             'revid': revid,
         }
-
-    def get_json_values(self, environ):
-        core_values, headers = self.get_core_values(environ)
-        return core_values, headers

